Imports System
Imports System.Reflection
Imports System.Runtime.InteropServices

' General Information about an assembly is controlled through the following 
' set of attributes. Change these attribute values to modify the information
' associated with an assembly.

' Review the values of the assembly attributes

<Assembly: AssemblyTitle("IGP to POV")> 
<Assembly: AssemblyDescription("IGP2POV converts an Irregular Grid Painter data bitmap into a POV-Ray scene file.")> 
<Assembly: AssemblyCompany("zlosk.com")> 
<Assembly: AssemblyProduct("zlosk.com: IGP to POV Converter - European 4-1 only")> 
<Assembly: AssemblyCopyright("Copyright 2009 Zlosk.com. All rights reserved.")> 
<Assembly: AssemblyTrademark("")> 
<Assembly: CLSCompliant(True)> 

'The following GUID is for the ID of the typelib if this project is exposed to COM
<Assembly: Guid("0D30B5D8-925D-46EE-BCC3-FC1C346B0B55")> 

' Version information for an assembly consists of the following four values:
'
'      Major Version
'      Minor Version 
'      Build Number
'      Revision
'
' You can specify all the values or you can default the Build and Revision Numbers 
' by using the '*' as shown below:

<Assembly: AssemblyVersion("0.0.1.4")> 

' 0.0.1.4 20100127 ZiLi informed me that IGP2POV applies commas and periods for number formatting per the "culture" used
'         by Windows, while POV-Ray always uses the US culture. Now IGP2POV should forcibly use US number formatting.
' 0.0.1.3 20091120 Realized that I fixed the POV-Ray Render on the 0.0.1.0 code base, not the 0.0.1.1. Added material list back.
' 0.0.1.2 Fixed logic to look for POV-Ray when selecting the Render button, so it works with POV-Ray v3.5 AND v3.62.
' 0.0.1.1 Added material list to POV-Ray scene file, to make it easier to replace a material in POV-Ray.
' 0.0.1.0 Original release
