Option Explicit On 
Option Strict On

Module Colors
    Public Sub CountColors(ByRef bmp As Bitmap, ByRef Cols() As Color, ByRef Cts() As Integer)
        Dim rgb As Color
        Dim ColCt As Integer
        Dim i, j, c As Integer
        Dim blnColorExists As Boolean

        ColCt = 0
        For j = 0 To bmp.Height - 1
            For i = 0 To bmp.Width - 1
                rgb = bmp.GetPixel(i, j)
                blnColorExists = False
                For c = 1 To ColCt
                    If (rgb.ToArgb = Cols(c).ToArgb) Then
                        blnColorExists = True
                        Cts(c) = Cts(c) + 1
                        Exit For
                    End If
                Next c
                If Not blnColorExists Then
                    ColCt = ColCt + 1
                    ReDim Preserve Cols(ColCt)
                    ReDim Preserve Cts(ColCt)
                    Cols(ColCt) = rgb
                    Cts(ColCt) = 1
                End If
            Next i
        Next j
    End Sub
    Public Function GetColorIdx(ByRef Col As Color, ByRef Cols() As Color) As Integer
        Dim i As Integer
        For i = 0 To Cols.GetUpperBound(0)
            If Col.ToArgb = Cols(i).ToArgb Then Return i
        Next
        Return -1
    End Function
End Module